package ru.amster.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2021-02-08T20:05:39.980+03:00
 * Generated source version: 3.2.7
 */
@WebService(targetNamespace = "http://endpoint.tm.amster.ru/", name = "AdminUserEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface AdminUserEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/AdminUserEndpoint/findAllUserRequest", output = "http://endpoint.tm.amster.ru/AdminUserEndpoint/findAllUserResponse")
    @RequestWrapper(localName = "findAllUser", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindAllUser")
    @ResponseWrapper(localName = "findAllUserResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindAllUserResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.amster.tm.endpoint.User> findAllUser(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/AdminUserEndpoint/loadRequest", output = "http://endpoint.tm.amster.ru/AdminUserEndpoint/loadResponse")
    @RequestWrapper(localName = "load", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.Load")
    @ResponseWrapper(localName = "loadResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.LoadResponse")
    public void load(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "domain", targetNamespace = "")
                    ru.amster.tm.endpoint.Domain domain
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/AdminUserEndpoint/unlockUserByLoginRequest", output = "http://endpoint.tm.amster.ru/AdminUserEndpoint/unlockUserByLoginResponse")
    @RequestWrapper(localName = "unlockUserByLogin", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UnlockUserByLogin")
    @ResponseWrapper(localName = "unlockUserByLoginResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UnlockUserByLoginResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.User unlockUserByLogin(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "login", targetNamespace = "")
                    java.lang.String login
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/AdminUserEndpoint/removeUserByIdRequest", output = "http://endpoint.tm.amster.ru/AdminUserEndpoint/removeUserByIdResponse")
    @RequestWrapper(localName = "removeUserById", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveUserById")
    @ResponseWrapper(localName = "removeUserByIdResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveUserByIdResponse")
    public void removeUserById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/AdminUserEndpoint/removeUserByLoginRequest", output = "http://endpoint.tm.amster.ru/AdminUserEndpoint/removeUserByLoginResponse")
    @RequestWrapper(localName = "removeUserByLogin", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveUserByLogin")
    @ResponseWrapper(localName = "removeUserByLoginResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveUserByLoginResponse")
    public void removeUserByLogin(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "login", targetNamespace = "")
                    java.lang.String login
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/AdminUserEndpoint/exportRequest", output = "http://endpoint.tm.amster.ru/AdminUserEndpoint/exportResponse")
    @RequestWrapper(localName = "export", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.Export")
    @ResponseWrapper(localName = "exportResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.ExportResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Domain export(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/AdminUserEndpoint/findUserByLoginRequest", output = "http://endpoint.tm.amster.ru/AdminUserEndpoint/findUserByLoginResponse")
    @RequestWrapper(localName = "findUserByLogin", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindUserByLogin")
    @ResponseWrapper(localName = "findUserByLoginResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindUserByLoginResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.User findUserByLogin(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "login", targetNamespace = "")
                    java.lang.String login
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/AdminUserEndpoint/lockUserByLoginRequest", output = "http://endpoint.tm.amster.ru/AdminUserEndpoint/lockUserByLoginResponse")
    @RequestWrapper(localName = "lockUserByLogin", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.LockUserByLogin")
    @ResponseWrapper(localName = "lockUserByLoginResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.LockUserByLoginResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.User lockUserByLogin(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "login", targetNamespace = "")
                    java.lang.String login
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/AdminUserEndpoint/findUserByIdRequest", output = "http://endpoint.tm.amster.ru/AdminUserEndpoint/findUserByIdResponse")
    @RequestWrapper(localName = "findUserById", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindUserById")
    @ResponseWrapper(localName = "findUserByIdResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindUserByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.User findUserById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    );
}
